<?php

function gallery_custom_post() {
	$labels = array(
		'name'               => _x( 'ألبوم الصور', 'post type general name' ),
		'singular_name'      => _x( 'ألبوم الصور', 'post type singular name' ),
		'add_new'            => _x( 'أضف جديد', 'gallery' ),
		'add_new_item'       => __( 'أضف ألبوم جديد' ),
		'edit_item'          => __( 'تعديل ألبوم' ),
		'new_item'           => __( 'ألبوم جديد' ),
		'all_items'          => __( 'كل ألبوم الصور' ),
		'view_item'          => __( 'عرض ألبوم الصور' ),
		'search_items'       => __( 'البحث في ألبوم الصور' ),
		'not_found'          => __( 'لا يوجد ألبوم' ),
		'not_found_in_trash' => __( 'لا يوجد ألبوم في سلة المهملات' ),
		'parent_item_colon'  => '',
		'menu_name'          => 'ألبوم الصور'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array( 'title', 'thumbnail', 'editor' ),
		'has_archive'   => true,
		'exclude_from_search'   => true,
		'show_in_menu'   => true,
		'show_in_nav_menus'   => false,
	);
	register_post_type( 'gallery', $args );
}
add_action( 'init', 'gallery_custom_post' );

function gallery_updated_messages( $messages ) {
	global $post, $post_ID;
	$messages['gallery'] = array(
		0 => '',
		1 => sprintf( __('تم التحديث. <a href="%s">عرض ألبوم الصور</a>'), esc_url( get_permalink($post_ID) ) ),
		2 => __('تم تحديث العنصر.'),
		3 => __('تم حذف العنصر.'),
		4 => __('تم تحديث ألبوم الصور.'),
		5 => isset($_GET['revision']) ? sprintf( __('تم استعادة ألبوم الصور، من %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('تم النشر. <a href="%s">عرض ألبوم الصور</a>'), esc_url( get_permalink($post_ID) ) ),
		7 => __('تم حفظ ألبوم الصور.'),
		8 => sprintf( __('تم ارسال ألبوم الصور. <a target="_blank" href="%s">عرض ألبوم الصور</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('تم تأريخ ألبوم الصور للنشر: <strong>%1$s</strong>. <a target="_blank" href="%2$s">عرض ألبوم الصور</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('تم تحديث ألبوم الصور كمسوده. <a target="_blank" href="%s">عرض ألبوم الصور</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	);
	return $messages;
}
add_filter( 'gallery_post_updated_messages', 'gallery_updated_messages' );

?>
